Get all or filtered outposts

Cortex XSIAM Platform APIs

post /public_api/v1/cloud_onboarding/get_outposts

Get a list of all or filtered outposts.

Required license: In Cortex XSIAM Premium, Cortex XSIAM Enterprise, or Cortex XSIAM NG SIEM, requires the Cortex Cloud Posture Management add-on. In Cortex XSIAM Enterprise Plus, requires the Data Collection add-on.

Request headers
Authorization String required

{api_key}

Example: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP
x-xdr-auth-id String required

{api_key_id}

Example: 241
CLIENT REQUEST
curl -X 'POST'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ' -H 'x-xdr-auth-id: 241'
'https://api-yourfqdn/public_api/v1/cloud_onboarding/get_outposts'
-d ''
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") payload = "{\"request_data\":{\"filter_data\":{\"sort\":[{\"FIELD\":\"string\",\"ORDER\":\"string\"}],\"filter\":{\"OR\":[{\"SEARCH_FIELD\":\"string\",\"SEARCH_TYPE\":\"string\",\"SEARCH_VALUE\":\"string\"}]},\"paging\":{\"from\":0,\"to\":0}}}}" headers = { 'Authorization': "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ", 'x-xdr-auth-id': "241", 'content-type': "application/json" } conn.request("POST", "/public_api/v1/cloud_onboarding/get_outposts", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/v1/cloud_onboarding/get_outposts") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["Authorization"] = 'UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ' request["x-xdr-auth-id"] = '241' request["content-type"] = 'application/json' request.body = "{\"request_data\":{\"filter_data\":{\"sort\":[{\"FIELD\":\"string\",\"ORDER\":\"string\"}],\"filter\":{\"OR\":[{\"SEARCH_FIELD\":\"string\",\"SEARCH_TYPE\":\"string\",\"SEARCH_VALUE\":\"string\"}]},\"paging\":{\"from\":0,\"to\":0}}}}" response = http.request(request) puts response.read_body
const data = JSON.stringify({ "request_data": { "filter_data": { "sort": [ { "FIELD": "string", "ORDER": "string" } ], "filter": { "OR": [ { "SEARCH_FIELD": "string", "SEARCH_TYPE": "string", "SEARCH_VALUE": "string" } ] }, "paging": { "from": 0, "to": 0 } } } }); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-yourfqdn/public_api/v1/cloud_onboarding/get_outposts"); xhr.setRequestHeader("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP "); xhr.setRequestHeader("x-xdr-auth-id", "241"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-yourfqdn/public_api/v1/cloud_onboarding/get_outposts") .header("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ") .header("x-xdr-auth-id", "241") .header("content-type", "application/json") .body("{\"request_data\":{\"filter_data\":{\"sort\":[{\"FIELD\":\"string\",\"ORDER\":\"string\"}],\"filter\":{\"OR\":[{\"SEARCH_FIELD\":\"string\",\"SEARCH_TYPE\":\"string\",\"SEARCH_VALUE\":\"string\"}]},\"paging\":{\"from\":0,\"to\":0}}}}") .asString();
import Foundation let headers = [ "Authorization": "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ", "x-xdr-auth-id": "241", "content-type": "application/json" ] let parameters = ["request_data": ["filter_data": [ "sort": [ [ "FIELD": "string", "ORDER": "string" ] ], "filter": ["OR": [ [ "SEARCH_FIELD": "string", "SEARCH_TYPE": "string", "SEARCH_VALUE": "string" ] ]], "paging": [ "from": 0, "to": 0 ] ]]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v1/cloud_onboarding/get_outposts")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/v1/cloud_onboarding/get_outposts", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "{\"request_data\":{\"filter_data\":{\"sort\":[{\"FIELD\":\"string\",\"ORDER\":\"string\"}],\"filter\":{\"OR\":[{\"SEARCH_FIELD\":\"string\",\"SEARCH_TYPE\":\"string\",\"SEARCH_VALUE\":\"string\"}]},\"paging\":{\"from\":0,\"to\":0}}}}", CURLOPT_HTTPHEADER => [ "Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ", "content-type: application/json", "x-xdr-auth-id: 241" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v1/cloud_onboarding/get_outposts"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP "); headers = curl_slist_append(headers, "x-xdr-auth-id: 241"); headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{\"filter_data\":{\"sort\":[{\"FIELD\":\"string\",\"ORDER\":\"string\"}],\"filter\":{\"OR\":[{\"SEARCH_FIELD\":\"string\",\"SEARCH_TYPE\":\"string\",\"SEARCH_VALUE\":\"string\"}]},\"paging\":{\"from\":0,\"to\":0}}}}"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/v1/cloud_onboarding/get_outposts"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP "); request.AddHeader("x-xdr-auth-id", "241"); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "{\"request_data\":{\"filter_data\":{\"sort\":[{\"FIELD\":\"string\",\"ORDER\":\"string\"}],\"filter\":{\"OR\":[{\"SEARCH_FIELD\":\"string\",\"SEARCH_TYPE\":\"string\",\"SEARCH_VALUE\":\"string\"}]},\"paging\":{\"from\":0,\"to\":0}}}}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
application/json
request_dataobject
filter_dataobject
sortarray
[
FIELDstring
ORDERstring
]
filterobject
ORarray
[
SEARCH_FIELDstring
SEARCH_TYPEstring
SEARCH_VALUEstring
]
pagingobject
frominteger
tointeger
REQUEST
{ "request_data": { "filter_data": { "sort": [ { "FIELD": "CREATED_AT", "ORDER": "ASC" } ], "filter": { "OR": [ { "SEARCH_FIELD": "CLOUD_PROVIDER", "SEARCH_TYPE": "CONTAINS", "SEARCH_VALUE": "AWS" }, { "SEARCH_FIELD": "CLOUD_PROVIDER", "SEARCH_TYPE": "CONTAINS", "SEARCH_VALUE": "GCP" } ] }, "paging": { "from": 0, "to": 20 } } } }
Responses

OK

Body
application/json
replyobject
DATAarray
[
cloud_providerstring
outpost_idstring
created_atstring
typestring
cloud_partitionstring
]
FILTER_COUNTinteger
TOTAL_COUNTinteger
RESPONSE
{ "reply": { "DATA": [ { "cloud_provider": "AWS", "outpost_id": "094935393dcf46128e5a2138a51bd54a", "created_at": "1748309918599", "type": "MANAGED" } ], "FILTER_COUNT": 1, "TOTAL_COUNT": 1 } }